%define name    transkode
%define version 0.6
%define release %mkrel 1

Summary:        A utility to convert audio files between formats
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Url:            http://kde-apps.org/content/show.php?content=27512
Group:          Sound
Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libtaglib-devel >= 1.4 
BuildRequires:  kdemultimedia-devel
BuildRequires:  kdebase-devel 
BuildRequires:  desktop-file-utils

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
 
%description

This is a program that will convert your audio files from on format to
another, e.g. from MP3 to Ogg.

This package also provides a script for Amarok that supports the 
specification for on-the-fly format conversion when transfering files
to your media device.

Note that you will need the lame binary for MP3 encoding (hint: look in PLF)

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applnk/Utilities/%{name}.desktop
%dir %{_datadir}/apps/amarok/scripts/%{name}
%{_datadir}/apps/amarok/scripts/%{name}/*
%dir %{_datadir}/apps/%{name}
%{_datadir}/apps/%{name}/*
%{_datadir}/config/%{name}rc
%{_docdir}/HTML/*/transcode/*

#--------------------------------------------------------------------

%prep
%setup -q

%build
export QTDIR=%_prefix/lib/qt3

%configure2_5x

%make

%install
rm -rf %buildroot

%{makeinstall_std}

desktop-file-install --vendor="" \
  --add-category="KDE" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --add-category="AudioVideo" \
  --add-category="Audio" \
  --add-category="Convertor" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop

%find_lang %{name} --with-html

%clean
rm -rf %buildroot




%changelog
* Fri Apr 06 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6-1mdv2007.1
+ Revision: 151147
- Import transkode

